summaryrefslogtreecommitdiff
path: root/dev-python/uri-template
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/uri-template
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/uri-template')
-rw-r--r--dev-python/uri-template/Manifest1
-rw-r--r--dev-python/uri-template/metadata.xml10
-rw-r--r--dev-python/uri-template/uri-template-1.3.0.ebuild34
3 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/uri-template/Manifest b/dev-python/uri-template/Manifest
new file mode 100644
index 000000000000..2a69d7808d7d
--- /dev/null
+++ b/dev-python/uri-template/Manifest
@@ -0,0 +1 @@
+DIST uri-template-v1.3.0.tar.bz2 17076 BLAKE2B e8d6c1c35190beab4b2b51cf82dacd6e7bf51397abb142f89f975ce4e7c3067dd9c59895127446deafd84420b63ef62c1484c29037dd9e3833e0d0d55950dcc4 SHA512 654eb700de68a5b992b910e1ff0a038ed699453f021d1eb844d71ddebb32e3ffb77851b5704879bf3eb894eaca33477a0173223a5d9df6a06e33fdc27f6b0f5c
diff --git a/dev-python/uri-template/metadata.xml b/dev-python/uri-template/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/uri-template/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/uri-template/uri-template-1.3.0.ebuild b/dev-python/uri-template/uri-template-1.3.0.ebuild
new file mode 100644
index 000000000000..598d2675c572
--- /dev/null
+++ b/dev-python/uri-template/uri-template-1.3.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P="uri-template-v${PV}"
+DESCRIPTION="URI Template expansion in strict adherence to RFC 6570"
+HOMEPAGE="
+ https://gitlab.linss.com/open-source/python/uri-template/
+ https://pypi.org/project/uri-template/
+"
+SRC_URI="
+ https://gitlab.linss.com/open-source/python/uri-template/-/archive/v${PV}/${MY_P}.tar.bz2
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ "${EPYTHON}" "test.py" || die "Tests fail with ${EPYTHON}"
+}